<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/editor_insert_layout"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/editor_insert_container"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@color/background_white"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/editor_image"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_marginLeft="8dp"
            android:scaleType="centerInside"
            android:src="@drawable/editor_image" />

        <com.lightgame.view.CheckableImageView
            android:id="@+id/editor_video"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_marginLeft="8dp"
            android:scaleType="centerInside"
            android:src="@drawable/editor_video_selector" />

        <com.lightgame.view.CheckableImageView
            android:id="@+id/editor_font"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_marginLeft="8dp"
            android:scaleType="centerInside"
            android:src="@drawable/editor_font_selector" />

        <com.lightgame.view.CheckableImageView
            android:id="@+id/editor_link"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_marginLeft="8dp"
            android:scaleType="centerInside"
            android:src="@drawable/editor_link_selector"
            android:visibility="visible" />

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_weight="1" />

        <CheckBox
            android:id="@+id/originalCb"
            android:layout_width="72dp"
            android:layout_height="28dp"
            android:layout_marginRight="16dp"
            android:background="@drawable/border_round_stroke_0dot5_eee_999"
            android:button="@null"
            android:drawableLeft="@drawable/selector_original_checkbox"
            android:drawablePadding="5dp"
            android:paddingLeft="7dp"
            android:text="原创帖"
            android:textColor="@color/text_717C8E"
            android:textSize="12sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/editor_insert_detail_container"
        android:layout_width="match_parent"
        android:layout_height="257dp"
        android:background="@color/text_FAFAFA"
        android:orientation="vertical"
        android:visibility="gone">

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/cutting_line"
            android:background="@color/divider" />

        <LinearLayout
            android:id="@+id/editor_font_container"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="16dp"
            android:visibility="gone">

            <com.lightgame.view.CheckableImageView
                android:id="@+id/editor_font_bold"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/bg_shape_white_editor_label_left"
                android:scaleType="centerInside"
                android:src="@drawable/editor_font_bold_selector" />

            <com.lightgame.view.CheckableImageView
                android:id="@+id/editor_font_italic"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="1dp"
                android:layout_weight="1"
                android:background="@drawable/bg_shape_white_radius_1"
                android:scaleType="centerInside"
                android:src="@drawable/editor_font_italic_selector" />

            <com.lightgame.view.CheckableImageView
                android:id="@+id/editor_font_strikethrough"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="1dp"
                android:layout_weight="1"
                android:background="@drawable/bg_shape_white_radius_1"
                android:scaleType="centerInside"
                android:src="@drawable/editor_font_strikethrough_selector" />

            <com.lightgame.view.CheckableImageView
                android:id="@+id/editor_font_underline"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="1dp"
                android:layout_weight="1"
                android:background="@drawable/bg_shape_white_editor_label_right"
                android:scaleType="centerInside"
                android:src="@drawable/editor_font_underline_selector" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/editor_paragraph_container"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="16dp"
            android:visibility="gone">

            <com.lightgame.view.CheckableImageView
                android:id="@+id/editor_paragraph_quote"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/bg_shape_white_editor_label_left"
                android:scaleType="centerInside"
                android:src="@drawable/editor_paragraph_quote_selector" />

            <com.lightgame.view.CheckableImageView
                android:id="@+id/editor_paragraph_h1"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="1dp"
                android:layout_weight="1"
                android:background="@drawable/bg_shape_white_radius_1"
                android:scaleType="centerInside"
                android:src="@drawable/editor_paragraph_h1_selector" />

            <com.lightgame.view.CheckableImageView
                android:id="@+id/editor_paragraph_h2"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="1dp"
                android:layout_weight="1"
                android:background="@drawable/bg_shape_white_radius_1"
                android:scaleType="centerInside"
                android:src="@drawable/editor_paragraph_h2_selector" />

            <com.lightgame.view.CheckableImageView
                android:id="@+id/editor_paragraph_h3"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="1dp"
                android:layout_weight="1"
                android:background="@drawable/bg_shape_white_radius_1"
                android:scaleType="centerInside"
                android:src="@drawable/editor_paragraph_h3_selector" />

            <com.lightgame.view.CheckableImageView
                android:id="@+id/editor_paragraph_h4"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="1dp"
                android:layout_weight="1"
                android:background="@drawable/bg_shape_white_editor_label_right"
                android:scaleType="centerInside"
                android:src="@drawable/editor_paragraph_h4_selector" />
        </LinearLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/editor_link_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:orientation="horizontal"
            android:visibility="gone"
            tools:visibility="visible">

            <LinearLayout
                android:id="@+id/editor_link_answer"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toStartOf="@+id/editor_link_article"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:layout_width="56dp"
                    android:layout_height="56dp"
                    android:background="@drawable/bg_editor_link_btn"
                    android:scaleType="centerInside"
                    android:src="@drawable/icon_editor_link_answer" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="引用回答"
                    android:textColor="@color/text_subtitle"
                    android:textSize="11sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/editor_link_article"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toStartOf="@+id/editor_link_video"
                app:layout_constraintStart_toEndOf="@+id/editor_link_answer"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:layout_width="56dp"
                    android:layout_height="56dp"
                    android:background="@drawable/bg_editor_link_btn"
                    android:scaleType="centerInside"
                    android:src="@drawable/icon_editor_link_article" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="引用帖子"
                    android:textColor="@color/text_subtitle"
                    android:textSize="11sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/editor_link_video"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toStartOf="@+id/editor_link_game"
                app:layout_constraintStart_toEndOf="@+id/editor_link_article"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:layout_width="56dp"
                    android:layout_height="56dp"
                    android:background="@drawable/bg_editor_link_btn"
                    android:scaleType="centerInside"
                    android:src="@drawable/icon_editor_link_video" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="引用视频帖"
                    android:textColor="@color/text_subtitle"
                    android:textSize="11sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/editor_link_game"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/editor_link_video"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:layout_width="56dp"
                    android:layout_height="56dp"
                    android:background="@drawable/bg_editor_link_btn"
                    android:scaleType="centerInside"
                    android:src="@drawable/icon_editor_link_game" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="引用游戏"
                    android:textColor="@color/text_subtitle"
                    android:textSize="11sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/editor_link_game_collection"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="@+id/editor_link_answer"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/editor_link_answer">

                <ImageView
                    android:layout_width="56dp"
                    android:layout_height="56dp"
                    android:background="@drawable/bg_editor_link_btn"
                    android:scaleType="centerInside"
                    android:src="@drawable/icon_editor_link_game_collection" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="引用游戏单"
                    android:textColor="@color/text_subtitle"
                    android:textSize="11sp" />
            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <FrameLayout
            android:id="@+id/tagsContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone" />
    </LinearLayout>
</LinearLayout>
